Name:		qubes-yubikey-dom0
Version:    1.1.3
Release:	1%{?dist}
Summary:	Yubikey support scripts for Qubes OS

Group:		Applications/System
License:	GPL
URL:		https://www.qubes-os.org/doc/yubi-key/

Requires:	openssl


Source0: %{name}-%{version}.tar.gz

%description
Scripts for easier integration of YubiKey into Qubes OS login.

%prep
%setup -q

%install
cp -a etc $RPM_BUILD_ROOT/
mkdir $RPM_BUILD_ROOT/usr
cp -a bin $RPM_BUILD_ROOT/usr/

%files
%doc README.md
%config(noreplace) /etc/pam.d/yubikey
%config(noreplace) /etc/qubes/yk-keys/yk-vm
%config(noreplace) /etc/qubes/yk-keys/yk-slot
%config(noreplace) /etc/qubes/yk-keys/yk-login-pass
%config(noreplace) /etc/qubes/yk-keys/yk-login-pass-hashed.hex
%config(noreplace) /etc/qubes/yk-keys/yk-secret-key.hex
/usr/bin/yk-auth

%changelog
* Tue Nov 12 2019 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-yubikey

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dc400e7
- version 1.1.3

* Sun Nov 10 2019 Hans Jerry Illikainen <hji@dyntopia.com> - 0993599
- Read challenge-response slot from yk-slot

* Thu Oct 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 34a7a5b
- version 1.1.2

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6d2918b
- travis: switch to bionic

* Thu Oct 10 2019 dramshackle <53412329+dramshackle@users.noreply.github.com> - ee178c6
- checks for response to a truncated challenge

* Wed Oct 09 2019 dramshackle <53412329+dramshackle@users.noreply.github.com> - d7f23f9
- reduce challenge length to 63 bytes

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 093f6ec
- version 1.1.1

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - de8a4ec
- travis: update to R4.1

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 56e0dc7
- spec.in: add changelog placeholder

* Mon Jan 29 2018 Frédéric Pierret <frederic.epitre@orange.fr> - f1e68da
- Create .spec.in and Source0

* Mon Nov 20 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 390b601
- version 1.1.0

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - ccaeaa2
- fix quoting

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 7ead7c7
- update comment

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - fa6ed87
- backticks to $(...)

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - f0f8605
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - d5fd048
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 00fa002
- match documentation

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 0623786
- Update yk-login-pass

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 0db3282
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - f23daaa
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 54cb6d3
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 393c00a
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 2e576a7
- remove useless arguments

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 9d7d65c
- change file name from yubico to yubikey

* Tue Nov 14 2017 Patrick Schleizer <adrelanos@riseup.net> - a8b08a6
- add yubico to /etc/pam.d

* Tue Nov 14 2017 Patrick Schleizer <adrelanos@riseup.net> - 5e06fd0
- add -a to qvm-run

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 622f8dc
- version 1.0.1

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7ee3784
- travis: add Qubes 4.0

* Mon Mar 06 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d80f144
- Drop debugging code

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d7efd9
- travis: drop debootstrap workaround

* Fri Nov 11 2016 Jean-Philippe Ouellet <jpo@vt.edu> - 3636744
- Ignore pkgs/

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ac3eacf
- version 1.0.0

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c50f536
- travis: initial version

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c217cd3
- Qubes builder integration

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 336302e
- rpm: add packaging

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c895996
- Update comments in yk-login-pass / yk-login-pass-hashed.hex

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bea533c
- Move configuration to /etc/qubes/yk-keys

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0590913
- Introduce preferred yk-login-pass-hashed.hex, drop .txt extension

* Tue Jun 28 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb5e0b5
- Use $CONFIG_DIR, use simpler grep over sed

* Sat Jun 25 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - 58f101d
- Add README stub

* Sat Jun 25 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - 8800430
- Add note on plainext passwd, also change default to no passwd.

* Sat Jun 25 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - 5bed704
- Be consitent with filenameing

* Sat Jun 25 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - 6c11a27
- Allow comments and empty lines in cfgs

* Sat Jun 25 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - e1660d4
- Initial commit

